# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

.slope <- function(data, nrows, ncols, cellWidth, cellHeight) {
    .Call('meteoland_slope', PACKAGE = 'meteoland', data, nrows, ncols, cellWidth, cellHeight)
}

.aspect <- function(data, nrows, ncols, cellWidth, cellHeight) {
    .Call('meteoland_aspect', PACKAGE = 'meteoland', data, nrows, ncols, cellWidth, cellHeight)
}

.pseudoRainfall <- function(RainM, daysMonthAll, shape = 2.0, scale = 4.0, firstMonth = 1L) {
    .Call('meteoland_pseudoRainfall', PACKAGE = 'meteoland', RainM, daysMonthAll, shape, scale, firstMonth)
}

.meteo <- function(MeteoMonth, landscapeRainfall = as.numeric( c()), ERconv = 0.05, ERsyn = 0.2, shape = 2.0, scale = 4.0, albedo = 0.17, firstMonth = 1L, cyclic = FALSE) {
    .Call('meteoland_meteo', PACKAGE = 'meteoland', MeteoMonth, landscapeRainfall, ERconv, ERsyn, shape, scale, albedo, firstMonth, cyclic)
}

.temporalSmoothing <- function(input, numDays, prec) {
    .Call('meteoland_temporalSmoothing', PACKAGE = 'meteoland', input, numDays, prec)
}

.interpolateTemperatureSeriesPoints <- function(Xp, Yp, Zp, X, Y, Z, T, iniRp = 140000, alpha = 3.0, N = 30L, iterations = 3L) {
    .Call('meteoland_interpolateTemperatureSeriesPoints', PACKAGE = 'meteoland', Xp, Yp, Zp, X, Y, Z, T, iniRp, alpha, N, iterations)
}

.interpolatePrecipitationSeriesPoints <- function(Xp, Yp, Zp, X, Y, Z, P, Psmooth, iniRp = 140000, alpha_event = 6.25, alpha_amount = 6.25, N_event = 20L, N_amount = 20L, iterations = 3L, popcrit = 0.5, fmax = 0.95) {
    .Call('meteoland_interpolatePrecipitationSeriesPoints', PACKAGE = 'meteoland', Xp, Yp, Zp, X, Y, Z, P, Psmooth, iniRp, alpha_event, alpha_amount, N_event, N_amount, iterations, popcrit, fmax)
}

.interpolatePrecipitationEventSeriesPoints <- function(Xp, Yp, Zp, X, Y, Z, Pevent, iniRp = 140000, alpha = 6.25, N = 20L, iterations = 3L, popcrit = 0.5) {
    .Call('meteoland_interpolatePrecipitationEventSeriesPoints', PACKAGE = 'meteoland', Xp, Yp, Zp, X, Y, Z, Pevent, iniRp, alpha, N, iterations, popcrit)
}

.vapourPressureFromRH <- function(T, RH) {
    .Call('meteoland_vapourPressureFromRH', PACKAGE = 'meteoland', T, RH)
}

.dewpointTemperatureFromRH <- function(T, RH) {
    .Call('meteoland_dewpointTemperatureFromRH', PACKAGE = 'meteoland', T, RH)
}

.temp2VP <- function(TD) {
    .Call('meteoland_temp2VP', PACKAGE = 'meteoland', TD)
}

.relativeHumidityFromMinMaxTemp <- function(Tmin, Tmax) {
    .Call('meteoland_relativeHumidityFromMinMaxTemp', PACKAGE = 'meteoland', Tmin, Tmax)
}

.relativeHumidityFromDewpointTemp <- function(T, TD) {
    .Call('meteoland_relativeHumidityFromDewpointTemp', PACKAGE = 'meteoland', T, TD)
}

.dailyEquilibriumPET <- function(Temp, Rn) {
    .Call('meteoland_dailyEquilibriumPET', PACKAGE = 'meteoland', Temp, Rn)
}

penmanpoint <- function(latitude, elevation, J, Tmin, Tmax, RHmin, RHmax, R_s, u, z = 2.0, z0 = 0.001, alpha = 0.08, windfun = "1956") {
    .Call('meteoland_PenmanPETPointSeries', PACKAGE = 'meteoland', latitude, elevation, J, Tmin, Tmax, RHmin, RHmax, R_s, u, z, z0, alpha, windfun)
}

.PenmanPETPointsDay <- function(latitude, elevation, J, Tmin, Tmax, RHmin, RHmax, R_s, u, z = 2.0, z0 = 0.001, alpha = 0.08, windfun = "1956") {
    .Call('meteoland_PenmanPETPointsDay', PACKAGE = 'meteoland', latitude, elevation, J, Tmin, Tmax, RHmin, RHmax, R_s, u, z, z0, alpha, windfun)
}

.potentialRadiationSeries <- function(phi, A, Zx, doy, step = 1200.0) {
    .Call('meteoland_potentialRadiationSeries', PACKAGE = 'meteoland', phi, A, Zx, doy, step)
}

.potentialRadiationPoints <- function(phi, A, Zx, doy, step = 1200.0) {
    .Call('meteoland_potentialRadiationPoints', PACKAGE = 'meteoland', phi, A, Zx, doy, step)
}

.radiationSeries <- function(phi, elevation, A, Zx, doy, diffTemp, diffTempMonth, VP, P, step = 1200.0) {
    .Call('meteoland_radiationSeries', PACKAGE = 'meteoland', phi, elevation, A, Zx, doy, diffTemp, diffTempMonth, VP, P, step)
}

.radiationPoints <- function(phi, elevation, A, Zx, doy, diffTemp, diffTempMonth, VP, P, step = 1200.0) {
    .Call('meteoland_radiationPoints', PACKAGE = 'meteoland', phi, elevation, A, Zx, doy, diffTemp, diffTempMonth, VP, P, step)
}

.getWindFieldIndexAndFactor <- function(windSpeed, windDirection, wfSpeed, wfDirection) {
    .Call('meteoland_getWindFieldIndexAndFactor', PACKAGE = 'meteoland', windSpeed, windDirection, wfSpeed, wfDirection)
}

.interpolateWindFieldSeriesPoints <- function(Xp, Yp, WS, WD, X, Y, I, F, iniRp = 140000, alpha = 3.0, N = 30L, iterations = 3L) {
    .Call('meteoland_interpolateWindFieldSeriesPoints', PACKAGE = 'meteoland', Xp, Yp, WS, WD, X, Y, I, F, iniRp, alpha, N, iterations)
}

.interpolateWindStationSeriesPoints <- function(Xp, Yp, WS, WD, X, Y, iniRp = 140000, alpha = 3.0, N = 30L, iterations = 3L) {
    .Call('meteoland_interpolateWindStationSeriesPoints', PACKAGE = 'meteoland', Xp, Yp, WS, WD, X, Y, iniRp, alpha, N, iterations)
}

